#pragma once

#include "CoreMinimal.h"
#include "K36BaseMoriInteraction.h"
#include "AnimationMontageDescriptor.h"
#include "K36RecoverArtifactInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK36RecoverArtifactInteraction : public UK36BaseMoriInteraction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _miniMoriMontage;

public:
	UK36RecoverArtifactInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK36RecoverArtifactInteraction) { return 0; }
